%define debug_package %{nil}

Summary:	Installer for Valve's digital software distribution service
Name:		steam
Version:	1.0.0.52
Release:	9
License:	Freeware
Group:		Games/Other
Url:		https://github.com/ValveSoftware/steam-for-linux
Source0:	http://repo.steampowered.com/steam/pool/steam/s/steam/%{name}_%{version}.tar.gz
Source1:	%{name}.rpmlintrc
Patch1:		upstream-bug-3273.patch
Patch2:		fix-execution-with-system-runtime.patch
Patch3:		steam-no-dumps.patch
Patch4:		steam_1.0.0.52-desktop.patch

BuildRequires:	hicolor-icon-theme
Requires:	alsa-lib
Requires:	awk
Requires:	coreutils
Requires:	curl
Requires:	dbus
Requires:	desktop-file-utils
Requires:	fonts-ttf-liberation
Requires:	gdk-pixbuf2.0
Requires:	gio2.0-32
Requires:	gtk+2.0
Requires:	heimdal-libs
Requires:	hicolor-icon-theme
Requires:	nss
Requires:	openal
Requires:	pulseaudio
Requires:	xterm
Requires:	xz
Requires:	zenity

# Packages required to run Steam using the native system libraries
# rather than the runtime it keeps (which may be quite old):
Requires:	libacl1
Requires:	libalsa-plugins
Requires:	libalsa-plugins-jack
Requires:	libalsa-plugins-pulseaudio
Requires:	libappindicator1
Requires:	libasound2
Requires:	libasyncns0
Requires:	libatk1.0_0
Requires:	libattr1
Requires:	libavahi-client3
Requires:	libavahi-common3
Requires:	libavcodec56
Requires:	libavformat56
Requires:	libavutil54
Requires:	libbzip2_1
Requires:	libcairo2
Requires:	libcanberra0
Requires:	libcanberra-gtk0
Requires:	libcap2
Requires:	libcg0
Requires:	libcups2
Requires:	libcurl4
Requires:	libdbus-1_3
Requires:	libdbus-glib-1_2
Requires:	libdbusmenu-glib4
Requires:	libdbusmenu-gtk4
Requires:	libdconf1
Requires:	libdrm2
Requires:	libexif12
Requires:	libexpat1
Requires:	libext2fs2
Requires:	libffi6
Requires:	libflac8
Requires:	libfontconfig1
Requires:	libfreebl3
Requires:	libfreeglut3
Requires:	libfreetype6
Requires:	libgcc1
Requires:	libGConf2_4
Requires:	libgcrypt11
Requires:	libgcrypt20
Requires:	libgdk_pixbuf2.0_0
Requires:	libgdk_pixbuf_xlib2.0_0
Requires:	libgio2.0_0
Requires:	libgl1
Requires:	libglapi0
Requires:	libglib2.0_0
Requires:	libglu1
Requires:	libgmodule2.0_0
Requires:	libgmp10
Requires:	libgobject2.0_0
Requires:	libgomp1
Requires:	libgpg-error0
Requires:	libgraphite2_3
Requires:	libgssapi_krb5_2
Requires:	libgstbase0.10_0
Requires:	libgstcheck0.10_0
Requires:	libgstcontroller0.10_0
Requires:	libgstdataprocol0.10_0
Requires:	libgstnet0.10_0
Requires:	libgstreamer0.10_0
Requires:	libgstreamer1.0_0
Requires:	libgstreamer-plugins-base0.10
Requires:	libgthread2.0_0
Requires:	libgtk+2.0_0
Requires:	libgtk-engines2
Requires:	libgtk-modules2.0
Requires:	libgudev1.0_0
Requires:	libharfbuzz0
Requires:	libice6
Requires:	libidn11
Requires:	libindicator7
Requires:	libjack0
Requires:	libjacknet0
Requires:	libjpeg62
Requires:	libjpeg8
Requires:	libjson0
Requires:	libjson-c2
Requires:	libk5crypto3
Requires:	libkeyutils1
Requires:	libkrb5_3
Requires:	libkrb5support0
Requires:	liblcms2_2
Requires:	libldap2.4_2
Requires:	libltdl7
Requires:	liblzma5
Requires:	libmurrine
Requires:	libncurses5
Requires:	libncursesw5
Requires:	libnm-glib4
Requires:	libnm-util2
Requires:	libnotify4
Requires:	libnspr4
Requires:	libnss3
Requires:	libogg0
Requires:	libopenal1
Requires:	libopenssl-engines1.0.0
Requires:	liborc0.4_0
Requires:	liborc-test0.4_0
Requires:	libp11-kit0
Requires:	libpango1.0_0
Requires:	libpangocairo1.0_0
Requires:	libpangoft2_1.0_0
Requires:	libpango-modules1.0
Requires:	libpangox1.0_0
Requires:	libpangoxft1.0_0
Requires:	libpci3
Requires:	libpcre1
Requires:	libpcrecpp0
Requires:	libpixman1_0
Requires:	libpng0
Requires:	libpng15
Requires:	libpng16
Requires:	libpulseaudio0
Requires:	libpulsecommon10.0
Requires:	librtmp0
Requires:	libsamplerate0
Requires:	libsasl2
Requires:	libsasl2-plug-sasldb
Requires:	libSDL1.2_0
Requires:	libSDL2_2.0_0
Requires:	libSDL2_image2.0_0
Requires:	libSDL2_mixer2.0_0
Requires:	libSDL2_net2.0_0
Requires:	libSDL2_ttf2.0_0
Requires:	libSDL_image1.2_0
Requires:	libSDL_mixer1.2_0
Requires:	libSDL_ttf2.0_0
Requires:	libselinux1
Requires:	libsm6
Requires:	libsndfile1
Requires:	libspeex1
Requires:	libsqlite3_0
Requires:	libstdc++6
Requires:	libswscaler4
Requires:	libsystemd0
Requires:	libtdb1
Requires:	libtheora0
Requires:	libtheoradec1
Requires:	libtheoraenc1
Requires:	libtinfo5
Requires:	libudev1
Requires:	libusb1.0_0
Requires:	libuuid1
Requires:	libva1
Requires:	libvdpau1
Requires:	libvdpau-trace
Requires:	libvorbis0
Requires:	libvorbisenc2
Requires:	libvorbisfile3
Requires:	libvpx1
Requires:	libwrap0
Requires:	libx11_6
Requires:	libx11-xcb1
Requires:	libxau6
Requires:	libxaw7
Requires:	libxcb1
Requires:	libxcb-composite0
Requires:	libxcb-damage0
Requires:	libxcb-dpms0
Requires:	libxcb-dri2_0
Requires:	libxcb-dri3_0
Requires:	libxcb-glx0
Requires:	libxcb-present0
Requires:	libxcb-randr0
Requires:	libxcb-record0
Requires:	libxcb-render0
Requires:	libxcb-res0
Requires:	libxcb-screensaver0
Requires:	libxcb-shape0
Requires:	libxcb-shm0
Requires:	libxcb-sync1
Requires:	libxcb-xf86dri0
Requires:	libxcb-xfixes0
Requires:	libxcb-xinerama0
Requires:	libxcb-xkb1
Requires:	libxcb-xtest0
Requires:	libxcb-xv0
Requires:	libxcb-xvmc0
Requires:	libxcomposite1
Requires:	libxcursor1
Requires:	libxdamage1
Requires:	libxdmcp6
Requires:	libxext6
Requires:	libxfixes3
Requires:	libxft2
Requires:	libxi6
Requires:	libxinerama1
Requires:	libxml2_2
Requires:	libxmu6
Requires:	libxpm4
Requires:	libxrandr2
Requires:	libxrender1
Requires:	libxscrnsaver1
Requires:	libxshmfence1
Requires:	libxt6
Requires:	libxtst6
Requires:	libxxf86vm1
Requires:	libz1

# Add some restricted package to Suggests
Suggests:	libtxc-dxtn
# For the case when 32bit steam is launched on 64bit machine
# (http://bugs.rosalinux.ru/show_bug.cgi?id=6505)
Suggests:	lib64txc-dxtn

ExclusiveArch:	%{ix86}

%description
Steam is a software distribution service with an online store, automated
installation, automatic updates, achievements, SteamCloud synchronized
savegame and screenshot functionality, and many social features.

%files
%doc %{_docdir}/*
%{_bindir}/steam*
%{_prefix}/lib/steam/bootstraplinux_ubuntu12_32.tar.xz
%{_datadir}/applications/steam.desktop
%{_datadir}/pixmaps/steam*.png
%{_iconsdir}/hicolor/*/apps/steam.*
%{_mandir}/man6/steam.6.*
%{_udevrulesdir}/99-steam-controller-perms.rules
%dir %{_libdir}/steam
%{_libdir}/steam/libudev.so.0

%post
if [ `rpm -q steam-install | wc -w` == 1 ]
then
    rpm -e steam-install
fi

#----------------------------------------------------------------------------

%prep
%setup -q -n %{name}
%apply_patches

%build
echo "Nothing to do"

%install
%makeinstall_std

# Rename steamdeps, it's not working on non-Debian based distros
mv -f %{buildroot}%{_bindir}/steamdeps %{buildroot}%{_bindir}/steamdeps.save

install -D -m644 lib/udev/rules.d/99-steam-controller-perms.rules \
    %{buildroot}%{_udevrulesdir}/99-steam-controller-perms.rules

# Create the compatibility symlinks.
# Steam still requires libudev.so.0 but seems to work OK with libudev.so.1.
install -d -m755 %{buildroot}%{_libdir}/steam
ln -sf /%{_lib}/libudev.so.1 %{buildroot}%{_libdir}/steam/libudev.so.0

%changelog

* Mon Feb 27 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0.0.52-9
- (74ebf17) Require libSDL2_2.0_0 instead of libSDL2_2.0_1

* Wed Feb 15 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0.0.52-8
- (07b4b52) MassBuild#1250: Increase release tag

* Sat Jan 21 2017 Victor Ryzhikh <victorr2007@yandex.ru> 1.0.0.52-7
- (f780f72) Updated libpulsecommon number

* Thu Dec 01 2016 Victor Ryzhikh <victorr2007@yandex.ru> 1.0.0.52-6
- (0b0454e) Updated libswscaler number
- (Victor Ryzhikh: 79f71e9) Updated dependency libSDL2 number, Removed dependency libxcb-xevie0, Removed dependency libxcb-xprint0

* Thu Jul 28 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0.0.52-5
- (81e4da7) Add Russian translation to desktop file
- (Andrey Bondrov: e03d814) Fix menu categories

* Wed Jul 27 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0.0.52-4
- (b23e9ab) Remove steam-install package if it's installed (don't use Obsoletes because we don't want to force such replacement)

* Wed Jul 13 2016 Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 1.0.0.52-3
- (919fc0d) Fix the launch of "Unity of Command"
- (919fc0d) As it turns out, UoC still needs at least libX11.so.6 and libxcb.so.1
- (919fc0d) preloaded even if steam runs with STEAM_RUNTIME=0.
- (919fc0d) The game seems to use some Steam runtime libs even in that case.
- (919fc0d) Although this is quite ugly, let us still preload everything we did
- (919fc0d) before except libstdc++.

* Wed Jul 13 2016 Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 1.0.0.52-2
- (85de712) Require gio2.0-32 explicitly: it is needed for libdconf1
- (Evgenii Shatokhin: fa24e73) Do not allow Steam to create files in /tmp/dumps by default
- (Evgenii Shatokhin: fa24e73) If tmpfs is mounted as /tmp and Steam crashes repeatedly, the dumps may
- (Evgenii Shatokhin: fa24e73) consume a sizeable amount of memory.
- (Evgenii Shatokhin: fa24e73) See
- (Evgenii Shatokhin: fa24e73) https://wiki.archlinux.org/index.php/steam#Prevent_Memory_Dumps_Consuming_RAM
- (Evgenii Shatokhin: fa24e73) The dumps can be re-enabled if the user sets STEAM_ENABLE_DUMPS
- (Evgenii Shatokhin: fa24e73) environment variable to some non-empty value.
- (Evgenii Shatokhin: fa24e73) IMPORTANT: before disabling or enabling dumps, please remove /tmp/dumps.
- (Evgenii Shatokhin: fa24e73) For safety reasons (/tmp/dumps might belong to another application as
- (Evgenii Shatokhin: fa24e73) well), Steam does not do so automatically.
- (Evgenii Shatokhin: 0b86be0) Removed a patch that has no effect
- (Evgenii Shatokhin: 0b86be0) The patch adds the code after
- (Evgenii Shatokhin: 0b86be0) exec "$LAUNCHSTEAMDIR/$STEAMBOOTSTRAP" "$@"
- (Evgenii Shatokhin: 0b86be0) in 'steam' script. The "exec'ed" command replaces the shell, so the
- (Evgenii Shatokhin: 0b86be0) subsequent lines of the script will never execute.
- (Evgenii Shatokhin: d023076) Fix execution of Steam when system libraries are used
- (Evgenii Shatokhin: d023076) The upstream variant of Steam uses the set of libraries bundled with it
- (Evgenii Shatokhin: d023076) by default. This results in a number of issues like
- (Evgenii Shatokhin: d023076) http://bugs.rosalinux.ru/show_bug.cgi?id=4741,
- (Evgenii Shatokhin: d023076) http://bugs.rosalinux.ru/show_bug.cgi?id=6458 and others.
- (Evgenii Shatokhin: d023076) Using LD_PRELOAD for the hand-picked libraries fixes some of these
- (Evgenii Shatokhin: d023076) but creates its own problems, e.g.:
- (Evgenii Shatokhin: d023076) https://github.com/ValveSoftware/steam-for-linux/issues/4379
- (Evgenii Shatokhin: d023076) This is not needed (and may even lead to problems) when Steam is
- (Evgenii Shatokhin: d023076) requested to run using the system libraries instead, that is when
- (Evgenii Shatokhin: d023076) STEAM_RUNTIME=0 is used. I adapted the script accordingly.
- (Evgenii Shatokhin: d023076) A tricky point is that we have newer version of some libraries than
- (Evgenii Shatokhin: d023076) Steam requires. For example, it currently needs libudev.so.0 while we
- (Evgenii Shatokhin: d023076) have libudev.so.1. It seems to run fine if just a symlink
- (Evgenii Shatokhin: d023076) libudev.so.0 => libudev.so.1 is provided, so let us go for it now.
- (Evgenii Shatokhin: d023076) Ideally, it is neede to check if the relevant part of the ABI of that
- (Evgenii Shatokhin: d023076) library is compatible among these versions.

* Tue Jul 12 2016 Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 1.0.0.52-1
- (fab6f46) Preload libxcb.so.1 and libX11.so.6: needed for "UoC"
- (fab6f46) "Unity of Command" may fail to run using the Steam runtime with the
- (fab6f46) errors like:
- (fab6f46) * "uoc: symbol lookup error: /usr/lib/libxcb-dri3.so.0: undefined symbol:
- (fab6f46) xcb_send_fd"
- (fab6f46) (https://github.com/ValveSoftware/steam-for-linux/issues/3231)
- (fab6f46) * "uoc: symbol lookup error: /usr/lib/libXxf86vm.so.1: undefined symbol:
- (fab6f46) _XEatDataWords"
- (fab6f46) Preloading the system libraries libxcb.so.1 and libX11.so.6 fixes the
- (fab6f46) issue.
- (Evgenii Shatokhin: 37be8ba) Added the packages Steam needs to run using the native system runtime
- (Evgenii Shatokhin: 37be8ba) That is, to run with STEAM_RUNTIME=0.
- (Evgenii Shatokhin: 37be8ba) In the future, we might remove some of these packages from the list,
- (Evgenii Shatokhin: 37be8ba) providing convenience symlinks instead or something like that.
- (Evgenii Shatokhin: 37be8ba) First of all, it concerns the libraries where soname has changed and the
- (Evgenii Shatokhin: 37be8ba) older version is no longer provided.
- (Evgenii Shatokhin: 3c31257) Updated to version 1.0.0.52

* Tue Feb 02 2016 Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 1.0.0.51-6
- (2394b09) Preload libasound library as well
- (2394b09) Fixes http://bugs.rosalinux.ru/show_bug.cgi?id=6669

* Tue Jan 12 2016 Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 1.0.0.51-5
- (3972d5d) Fixed the patch for upstream issue #3273 (libstdc++ problem)
- (3972d5d) It turned out, the previous variant of the patch did not work:
- (3972d5d) it removed libstdc++ from Steam runtime files only after Steam client
- (3972d5d) was launched.
- (3972d5d) Removing these earlier has its drawbacks too: problems when Steam
- (3972d5d) updated itself, etc.
- (3972d5d) Let us try another variant of the fix: preload the correct libstdc++.
- (3972d5d) Similar to what is described here:
- (3972d5d) https://wirejungle.wordpress.com/2015/01/09/how-to-fix-broken-steam-linux-client-with-radeon-graphics-driver-workaround/
- (Evgenii Shatokhin: 627afeb) Release up

* Tue Jan 12 2016 Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 1.0.0.51-4
- (e4c48e6) Merge remote-tracking branch 'origin/rosa2014.1'
- (Denis Silakov: 7a86354) Added libxcursos1 requirement

* Tue Jan 05 2016 Denis Silakov <denis.silakov@rosalab.ru> 1.0.0.51-3
- (640f4d3) Suggest lib64txc-dxtn for the case when we are launched in 64bit system

* Wed Dec 23 2015 Denis Silakov <dsilakov@gmail.com> 1.0.0.51-2
- (a5aad3c) Add patches for upstream bugs 3273 and 3570

* Thu Dec 10 2015 Denis Silakov <dsilakov@gmail.com> 1.0.0.51-1
- (fa30bbe) Clean .abf.yml
- (Denis Silakov: 2d62653) Updated to 1.0.0.51

* Tue Aug 18 2015 Denis Silakov <denis.silakov@rosalab.ru> 1.0.0.50-1
- (6764e53) Updated to 1.0.0.50

* Wed Feb 04 2015 Eugene Shatokhin <eugene.shatokhin@rosalab.ru> 1.0.0.49-1
- (c992d07) Update to 1.0.0.49 - sync to OpenMandriva

* Wed Jun 18 2014 Eugene Shatokhin <eugene.shatokhin@rosalab.ru> 1.0.0.47-4
- (c02af6e) Release bump for a rebuild

* Mon Jun 16 2014 Denis Silakov <denis.silakov@rosalab.ru> 1.0.0.47-3
- (f7412f3) Clean .abf.yml
- (Denis Silakov: 1c976fd) Updated to 1.0.0.47

* Mon Jun 16 2014 Denis Silakov <denis.silakov@rosalab.ru> 1.0.0.45-3
- (ccf96e9) Updated to 1.0.0.45

* Tue Jun 03 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0.0.43-3
- (5462045) MassBuild#430: Increase release tag

* Wed Oct 16 2013 akdengi <kazancas@mandriva.ru> 1.0.0.43-2
- (c2d1ab3) Suggests libtxc-dxtn

* Wed Oct 16 2013 akdengi <kazancas@mandriva.ru> 1.0.0.43-1
- (2f66d9c) fix spec
- (akdengi: 1b06395) update to 1.0.0.43. Drop beta patch. Use tarball instead deb package

* Wed Oct 09 2013 Denis Silakov <denis.silakov@rosalab.ru> 1.0.0.42-1
- (e4e1816) Updated to 1.0.0.42

* Tue Sep 10 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0.0.30-3
- (11d87a4) LOG Shouldn't be noarch package


